Gecode::DFA::DFAI Class Reference

Data stored for a DFA. More...

`#include <dfa.hpp>`

## Classes

class | HashEntry
| Specification of transition range. More...

## Public Member Functions

void | fill (void)
| Fill hash table.
| DFAI (int nt)
| Initialize automaton implementation with nt transitions.
| DFAI (void)
| Initialize automaton implementation as empty.
virtual | ~DFAI (void)
| Delete automaton implemenentation.
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Public Attributes

int | n_states
| Number of states.
unsigned int | n_symbols
| Number of symbols.
int | n_trans
| Number of transitions.
unsigned int | max_degree
| Maximal degree (in-degree and out-degree of any state) and maximal number of transitions per symbol.
int | final_fst
| First final state.
int | final_lst
| Last final state.
std::size_t | key
| Hash key.
Transition * | trans
| The transitions.
HashEntry * | table
| The transition hash table by symbol.
int | n_log
| Size of table (as binary logarithm).

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Data stored for a DFA.

Definition at line 42 of file dfa.hpp.

## Constructor & Destructor Documentation

## DFAI() [1/2]

Gecode::DFA::DFAI::DFAI | ( | int | nt | ) |

inline

Initialize automaton implementation with nt transitions.

Definition at line 82 of file dfa.hpp.

## DFAI() [2/2]

Gecode::DFA::DFAI::DFAI | ( | void |  | ) |

Initialize automaton implementation as empty.

## ~DFAI()

Gecode::DFA::DFAI::~DFAI | ( | void |  | ) |

inline virtual

Delete automaton implemenentation.

Definition at line 86 of file dfa.hpp.

## Member Function Documentation

## fill()

void Gecode::DFA::DFAI::fill | ( | void |  | ) |

inline

Fill hash table.

Definition at line 93 of file dfa.hpp.

## Member Data Documentation

## n_states

int Gecode::DFA::DFAI::n_states

Number of states.

Definition at line 45 of file dfa.hpp.

## n_symbols

unsigned int Gecode::DFA::DFAI::n_symbols

Number of symbols.

Definition at line 47 of file dfa.hpp.

## n_trans

int Gecode::DFA::DFAI::n_trans

Number of transitions.

Definition at line 49 of file dfa.hpp.

## max_degree

unsigned int Gecode::DFA::DFAI::max_degree

Maximal degree (in-degree and out-degree of any state) and maximal number of transitions per symbol.

Definition at line 51 of file dfa.hpp.

## final_fst

int Gecode::DFA::DFAI::final_fst

First final state.

Definition at line 53 of file dfa.hpp.

## final_lst

int Gecode::DFA::DFAI::final_lst

Last final state.

Definition at line 55 of file dfa.hpp.

## key

std::size_t Gecode::DFA::DFAI::key

Hash key.

Definition at line 57 of file dfa.hpp.

## trans

Transition* Gecode::DFA::DFAI::trans

The transitions.

Definition at line 59 of file dfa.hpp.

## table

HashEntry* Gecode::DFA::DFAI::table

The transition hash table by symbol.

Definition at line 68 of file dfa.hpp.

## n_log

int Gecode::DFA::DFAI::n_log

Size of table (as binary logarithm).

Definition at line 70 of file dfa.hpp.

The documentation for this class was generated from the following file:

- gecode/int/extensional/dfa.hpp